import * as core from "@terrascript/core";

export interface DomainNameApiAssociationArgs extends core.ResourceArgs {
  apiId: string | core.StringOut;

  domainName: string | core.StringOut;
}

export class DomainNameApiAssociation extends core.Resource<DomainNameApiAssociationArgs> {
  @core.attr(String)
  public apiId!: string | core.StringOut;

  @core.attr(String)
  public domainName!: string | core.StringOut;

  @core.attr(String, { computed: true })
  public id!: string | core.StringOut;

  constructor(name: string, args?: DomainNameApiAssociationArgs) {
    super(name, "aws_appsync_domain_name_api_association", args);
  }

  public override getNamespace(): string {
    return "aws_appsync";
  }
}
